Bug 219224 - [LSPP] Post-install boot panics init
[LSPP] Post-install boot panics init
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Kernel Manager
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-11 18:28 EST by Michael C Thompson
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-12 08:53:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael C Thompson 2006-12-11 18:28:50 EST
Description of problem:
After the initial install of the 20061201 snapshot, the kernel panics. This is
likely due to selinux, so I have copied Dan Walsh on this too. Imbedded is the
trace of the kernel's boot process.

Version-Release number of selected component (if applicable):
rhel5 rc2 (20061201)


Steps to Reproduce:
1. Install RHEL5 rc2 1201 snapshot and let it do the inital boot without any
extra kernel options (let it do the default behaviour).


Additional info:
boot: linux
Please wait, loading kernel...
   Elf64 kernel loaded...
Loading ramdisk...
ramdisk loaded at 02400000, size: 2349 Kbytes
OF stdout device is: /vdevice/vty@0
Hypertas detected, assuming LPAR !
command line: root=/dev/VolGroup01/LvRoot ro console=hvc0
memory layout at init:
  alloc_bottom : 0000000002650000
 alloc_top    : 0000000008000000
  alloc_top_hi : 00000000fa000000
  rmo_top      : 0000000008000000
  ram_top      : 00000000fa000000
Looking for displays
instantiating rtas at 0x0000000007a60000 ...rtas_ram_size = 2d6000
fixed_base_addr = 7a60000
code_base_addr = 7aea000
Code Image Load Complete.
registered vars:
name                              addr               size  hash align
--------------------------------  ----------------   ----  ---- -----
glob_rtas_trace_buf             : 0000000007aa9100  65552     7      0
perf_tools_corr_token_ptr       : 0000000007abdd00      8     7      0
prtas_was_interrupted           : 0000000007aba100      4     9      1
callperf                        : 0000000007aba400  12320     9      1
pglob_os_term_state             : 0000000007abd700      4    12      1
hypStopWatch                    : 0000000007ab9400   1800    14      8
prtas_in_progress               : 0000000007ab9e00      4    20      1
bufferstatus                    : 0000000007abe000     40    30      1
last_error_log                  : 0000000007abe500   1024    30      0
perf_tools_buff                 : 0000000007abda00     88    31      0
nmi_work_buffer                 : 0000000007abf000   4096    31     12
 done
0000000000000000 : boot cpu     0000000000000000
0000000000000001 : starting cpu hw idx 0000000000000001... done
copying OF device tree ...
Building dt strings...
Building dt structure...
Device tree strings 0x0000000002860000 -> 0x0000000002860ef3
Device tree struct  0x0000000002870000 -> 0x0000000002880000
Calling quiesce ...
returning from prom_init
Partition configured for 2 cpus.
Starting Linux PPC64 #1 SMP Wed Nov 29 17:51:42 EST 2006
-----------------------------------------------------
ppc64_pft_size                = 0x1a
physicalMemorySize            = 0xfa000000
ppc64_caches.dcache_line_size = 0x80
ppc64_caches.icache_line_size = 0x80
htab_address                  = 0x0000000000000000
htab_hash_mask                = 0x7ffff
-----------------------------------------------------
Linux version 2.6.18-1.2767.el5 (brewbuilder@js20-bc2-10.build.redhat.com) (gcc
version 4.1.1 20061124 (Red Hat 4.1.1-42)) #1 SMP Wed Nov 29 17:51:42 EST 2006
[boot]0012 Setup Arch
PPC64 nvram contains 16384 bytes
[boot]0015 Setup Done
Built 1 zonelists.  Total pages: 64000
Kernel command line: root=/dev/VolGroup01/LvRoot ro console=hvc0
[boot]0020 XICS Init
[boot]0021 XICS Done
PID hash table entries: 4096 (order: 12, 32768 bytes)
Using pSeries machine description
Found initrd at 0xc000000002400000:0xc00000000264b400
Partition configured for 2 cpus.
Starting Linux PPC64 #1 SMP Wed Nov 29 17:51:42 EST 2006
-----------------------------------------------------
ppc64_pft_size                = 0x1a
physicalMemorySize            = 0xfa000000
ppc64_caches.dcache_line_size = 0x80
ppc64_caches.icache_line_size = 0x80
htab_address                  = 0x0000000000000000
htab_hash_mask                = 0x7ffff
-----------------------------------------------------
Linux version 2.6.18-1.2767.el5 (brewbuilder@js20-bc2-10.build.redhat.com) (gcc
version 4.1.1 20061124 (Red Hat 4.1.1-42)) #1 SMP Wed Nov 29 17:51:42 EST 2006
[boot]0012 Setup Arch
PPC64 nvram contains 16384 bytes
[boot]0015 Setup Done
Built 1 zonelists.  Total pages: 64000
Kernel command line: root=/dev/VolGroup01/LvRoot ro console=hvc0
[boot]0020 XICS Init
[boot]0021 XICS Done
PID hash table entries: 4096 (order: 12, 32768 bytes)
Console: colour dummy device 80x25
Dentry cache hash table entries: 524288 (order: 6, 4194304 bytes)
Inode-cache hash table entries: 262144 (order: 5, 2097152 bytes)
freeing bootmem node 0
Memory: 4070656k/4096000k available (4224k kernel code, 25344k reserved, 1280k
data, 816k bss, 320k init)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 4096
Processor 1 found.
Brought up 2 CPUs
migration_cost=933
checking if image is initramfs... it is
Freeing initrd memory: 2349k freed
NET: Registered protocol family 16
IOMMU table initialized, virtual merging enabled
usbcore: registered new driver usbfs
usbcore: registered new driver hub
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
NET: Registered protocol family 2
IP route cache hash table entries: 32768 (order: 2, 262144 bytes)
TCP established hash table entries: 131072 (order: 5, 2097152 bytes)
TCP bind hash table entries: 65536 (order: 4, 1048576 bytes)
TCP: Hash tables configured (established 131072 bind 65536)
TCP reno registered
IBM eBus Device Driver
scan-log-dump not implemented on this system
audit: initializing netlink socket (disabled)
audit(1165879422.255:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 8192 (order 0, 65536 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key 46101397EC848FA6
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
Generic RTC Driver v1.07
Linux agpgart interface v0.101 (c) Dave Jones
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
AMD8111: IDE controller at PCI slot 0000:00:04.1
AMD8111: chipset revision 3
AMD8111: 0000:00:04.1 (rev 03) UDMA133 controller
AMD8111: 100% native mode on irq 17
    ide0: BM-DMA at 0x7c00-0x7c07, BIOS settings: hda:pio, hdb:pio
    ide1: BM-DMA at 0x7c08-0x7c0f, BIOS settings: hdc:pio, hdd:pio
hda: TOSHIBA MK4019GAXB, ATA DISK drive
ide0 at 0x7400-0x7407,0x6c02 on irq 17
hda: max request size: 128KiB
hda: 78140160 sectors (40007 MB), CHS=65535/16/63, UDMA(33)
hda: cache flushes supported
 hda: hda1 hda2 hda3
ide-floppy driver 0.99.newide
usbcore: registered new driver libusual
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
mice: PS/2 mouse device common for all mice
md: md driver 0.90.3 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: bitmap version 4.39
TCP bic registered
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Freeing unused kernel memory: 320k freed
Red Hat nash version 5.1.19.1 starting
Mounting proc filesystem
Mounting sysfs filesystem
Creating /dev
Creating initial device nodes
Setting up hotplug.
Creating block device nodes.
Loading uhci-hcd.ko module
USB Universal Host Controller Interface driver v3.0
Loading ohci-hcd.ko module
ohci_hcd 0000:21:00.0: OHCI Host Controller
ohci_hcd 0000:21:00.0: new USB bus registered, assigned bus number 1
ohci_hcd 0000:21:00.0: irq 19, io mem 0x100e0001000
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 3 ports detected
ohci_hcd 0000:21:00.1: OHCI Host Controller
ohci_hcd 0000:21:00.1: new USB bus registered, assigned bus number 2
ohci_hcd 0000:21:00.1: irq 19, io mem 0x100e0000000
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 3 ports detected
Loading ehci-hcd.ko module
Loading jbd.ko module
Loading ext3.ko module
Loading dm-mod.ko module
device-mapper: ioctl: 4.11.0-ioctl (2006-09-14) initialised:
dm-devel@redhat.comLoading dm-mirror.ko module
Loading dm-zero.ko module
Loading dm-snapshot.ko module
Making device-mapper control node
Scanning logical volumes
  Reading all physical volumes.  This may take a while...
  Found volume group "VolGroup01" using metadata type lvm2
Activating logical volumes
  4 logical volume(s) in volume group "VolGroup01" now active
Creating root device.
Mounting root filesystem.
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Setting up other filesystems.
Setting up new root fs
no fstab.sys, mounting internal defaults
Switching to new root and running init.
unmounting old /dev
unmounting old /proc
unmounting old /sys
audit(1165879428.082:2): enforcing=1 old_enforcing=0 auid=4294967295
security:  5 users, 7 roles, 1710 types, 86 bools, 16 sens, 1024 cats
security:  59 classes, 100506 rules
SELinux:  Completing initialization.
SELinux:  Setting up existing superblocks.
SELinux: initialized (dev dm-0, type ext3), uses xattr
SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs
SELinux: initialized (dev hugetlbfs, type hugetlbfs), uses genfs_contexts
SELinux: initialized (dev devpts, type devpts), uses transition SIDs
SELinux: initialized (dev eventpollfs, type eventpollfs), uses task SIDs
SELinux: initialized (dev inotifyfs, type inotifyfs), uses genfs_contexts
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev futexfs, type futexfs), uses genfs_contexts
SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
SELinux: initialized (dev cpuset, type cpuset), not configured for labeling
SELinux: initialized (dev proc, type proc), uses genfs_contexts
SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
audit(1165879429.460:3): policy loaded auid=4294967295
audit(1165879429.493:4): avc:  denied  { execute } for  pid=1 comm="init"
name="libsepol.so.1" dev=dm-0 ino=1343580
scontext=system_u:system_r:init_t:s0-s15:c0.c1023
tcontext=system_u:object_r:lib_t:s0 tclass=file
/sbin/init: error while loading shared libraries: libsepol.so.1: failed to map
segment from shared object: Permission denied
Kernel panic - not syncing: Attempted to kill init!
 <0>Rebooting in 180 seconds..
Comment 1 Daniel Walsh 2006-12-12 08:53:25 EST
This is a labeling problem.

on and MLS or targeted policy machine. Shared libraries have to be labeled
shlib_t or textrel_shlib_t, in order to be executed.  On a targeted machine they
are labeled lib_t.  (lib_t==shlib_t in targeted).  So if you are installing MLS
policy in a post install you need to relabel before you reboot in enforcing mode.   

Note You need to log in before you can comment on or make changes to this bug.